Skip to main content
Update edge volume instance
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

Body

application/json
id
string

System defined universally unique Id of the volume instance.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
name
string

User defined name of the volume instance, unique across the enterprise. Once object is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string

User defined title of the volume instance. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
description
string

Detailed description of the volume instance.

Maximum string length: 256
projectId
string

id of the project in which the volume instance is created

type
enum<string>
default:VOLUME_INSTANCE_TYPE_UNSPECIFIED

type of Volume Instance

Available options:
VOLUME_INSTANCE_TYPE_UNSPECIFIED,
VOLUME_INSTANCE_TYPE_EMPTYDIR,
VOLUME_INSTANCE_TYPE_BLOCKSTORAGE,
VOLUME_INSTANCE_TYPE_HOSTFS,
VOLUME_INSTANCE_TYPE_TMPFS,
VOLUME_INSTANCE_TYPE_SECRET,
VOLUME_INSTANCE_TYPE_NFS,
VOLUME_INSTANCE_TYPE_AWS_BLOCK_STORAGE,
VOLUME_INSTANCE_TYPE_CONTENT_TREE
deviceId
string

id of the device on which volume instance is created

multiattach
boolean

flag to enable the volume to be attached to multiple app instances

cleartext
boolean

flag to keep the contents of the volume unencrypted (in clear text)

accessmode
enum<string>
default:VOLUME_INSTANCE_ACCESS_MODE_INVALID

Access mode

Available options:
VOLUME_INSTANCE_ACCESS_MODE_INVALID,
VOLUME_INSTANCE_ACCESS_MODE_READWRITE,
VOLUME_INSTANCE_ACCESS_MODE_READONLY,
VOLUME_INSTANCE_ACCESS_MODE_MULTIREAD_SINGLEWRITE
sizeBytes
integer<uint64>

size of volume

image
string

name of the image

implicit
boolean

flag to create implicit volumes

contentTreeId
string

content tree ID

label
string

label

purge
Zed cloud Operation command · object

Purge Counter information

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

patchartifactvolume
string

flag to indicate whether volume instance is created for patch envelope external artifact

edgeNodeCluster
object

edge node cluster associated with the volume instance

Source definition conflict: this property declares type "string", while the referenced definition declares "object". The referenced schema is shown; the conflicting declaration needs correction in ZEDEDA's Swagger definition.

Response

A successful response.

operationType
enum<string>
default:OPS_TYPE_UNSPECIFIED
Available options:
OPS_TYPE_UNSPECIFIED,
OPS_TYPE_READ,
OPS_TYPE_DELETE,
OPS_TYPE_CREATE,
OPS_TYPE_UPDATE,
OPS_TYPE_LIST
operationStatus
enum<string>
default:OPS_STATUS_UNSPECIFIED
  • OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
  • OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
  • OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
Available options:
OPS_STATUS_UNSPECIFIED,
OPS_STATUS_PENDING,
OPS_STATUS_ONGOING,
OPS_STATUS_COMPLETE
objectKind
string
objectId
string
objectName
string
objectRevision
string
objectType
enum<string>
default:OBJECT_TYPE_UNSPECIFIED
Available options:
OBJECT_TYPE_UNSPECIFIED,
OBJECT_TYPE_USER,
OBJECT_TYPE_EDGE_NODE,
OBJECT_TYPE_EDGE_APP,
OBJECT_TYPE_IMAGE,
OBJECT_TYPE_EDGE_APP_INSTANCE,
OBJECT_TYPE_PROJECT,
OBJECT_TYPE_NETWORK,
OBJECT_TYPE_DATASTORE,
OBJECT_TYPE_SERVICE,
OBJECT_TYPE_SERVICE_INSTANCE,
OBJECT_TYPE_ENTERPRISE,
OBJECT_TYPE_ROLE,
OBJECT_TYPE_CREDENTIAL,
OBJECT_TYPE_NETWORK_INSTANCE,
OBJECT_TYPE_VOLUME_INSTANCE,
OBJECT_TYPE_REALM,
OBJECT_TYPE_AUTHPROFILE,
OBJECT_TYPE_POLICY,
OBJECT_TYPE_APP_POLICY,
OBJECT_TYPE_CLUSTER_INSTANCE,
OBJECT_TYPE_PLUGIN,
OBJECT_TYPE_DOC_POLICY,
OBJECT_TYPE_ORCHESTRATOR_CLUSTER,
OBJECT_TYPE_TAGS,
OBJECT_TYPE_EDGE_NODE_INTERFACE,
OBJECT_TYPE_DEPLOYMENT,
OBJECT_TYPE_ENTITLEMENTS,
OBJECT_TYPE_DATA_STREAM,
OBJECT_TYPE_API_USAGE,
OBJECT_TYPE_APP_INSTANCE_SNAPSHOT,
OBJECT_TYPE_PATCH_ENVELOPE,
OBJECT_TYPE_RESOURCE_USAGE_TRACK,
OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE,
OBJECT_TYPE_DEV_PASSTHROUGH,
OBJECT_TYPE_EDGE_NODE_CLUSTER,
OBJECT_TYPE_ASSET_GROUP,
OBJECT_TYPE_APP_PROFILE,
OBJECT_TYPE_PROFILE_DEPLOYMENT,
OBJECT_TYPE_ZKS_INSTANCE,
OBJECT_TYPE_CLUSTER_GROUP
operationTime
string
startTime
string
endTime
string
user
string
httpStatusCode
integer<int32>
httpStatusMsg
string
jobId
string
error
one or more errors will be set if the operation failed i.e. httpStatusCode != 2xx · object[]